<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/AdditionalResources/Repositories/CentOSPlus/CentOSWebStack</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/AdditionalResources/Repositories/CentOSPlus/CentOSWebStack</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="CentOS_Web_Stack">CentOS Web Stack</h1>
<span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><div><table><tbody><tr>  <td style="background-color: #ff0000"><p class="line862"> 注意: CentOS-4 生命周期已经结束，不再提供支持。 </td>
</tr>
</tbody></table></div><span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><div><table><tbody><tr>  <td class="lmimg blue" style="padding:0"><p class="line862"> <img alt="ArtWork/WikiDesign/icon-admonition-info.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/icon-admonition-info.png" title="ArtWork/WikiDesign/icon-admonition-info.png" /> </td>
  <td class="lmtxt blue" colspan="2" style="padding:0; text-align: left"><p class="line862">CentOS Web Stack 只是为 CentOS-4 而设。</td>
</tr>
</tbody></table></div><span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><div><table><tbody><tr>  <td class="lmimg orange" style="padding:0"><p class="line862"> <img alt="ArtWork/WikiDesign/icon-admonition-attention.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/icon-admonition-attention.png" title="ArtWork/WikiDesign/icon-admonition-attention.png" /> </td>
  <td class="lmtxt orange" colspan="2" style="padding:0; text-align: left"><p class="line862">在开始之先，请确定你对 <a href="./PackageManagement(2f)Yum.html">yum</a>（及 yum 插件，尤其是 <a href="./PackageManagement(2f)Yum(2f)Priorities.html">yum priorities 插件</a>），以及 <a class="nonexistent" href="./zh(2f)AdditionalResources(2f)Repositories(2f)CentOSPlus(2f2e2e).html">CentOS 软件库</a>（尤其是 <a href="./zh(2f)AdditionalResources(2f)Repositories(2f)CentOSPlus.html">CentOSPlus 软件库</a>）有所理解。</td>
</tr>
</tbody></table></div><span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867"><strong>CentOS Web Stack</strong> 是一组组件，其发布的要将 <strong>LAMP</strong>（<strong>L</strong>inux、<strong>A</strong>pache、<strong>M</strong>ySQL、<strong>P</strong>HP）服务器方案更新（当中还有其它组件，包括 postgresql 及 perl）。 <span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line874">这个组合现包括以下组件（版本或许会升级，但组件名称应保持不变）： <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line874">{{{httpd-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-16"></span>httpd-devel-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-17"></span>httpd-manual-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-18"></span>mod_auth_mysql-3.0.0-2.el4s1.3.i386.rpm <span class="anchor" id="line-19"></span>mod_auth_pgsql-2.0.3-2.el4s1.2.i386.rpm <span class="anchor" id="line-20"></span>mod_perl-2.0.3-1.el4s1.1.i386.rpm <span class="anchor" id="line-21"></span>mod_perl-devel-2.0.3-1.el4s1.1.i386.rpm <span class="anchor" id="line-22"></span>mod_ssl-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-23"></span>mysql-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-24"></span>mysql-bench-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-25"></span>mysqlclient10-3.23.58-9.2.c4.i386.rpm <span class="anchor" id="line-26"></span>mysqlclient10-devel-3.23.58-9.2.c4.i386.rpm <span class="anchor" id="line-27"></span>mysqlclient14-4.1.22-1.el4s1.1.i386.rpm <span class="anchor" id="line-28"></span>mysqlclient14-devel-4.1.22-1.el4s1.1.i386.rpm <span class="anchor" id="line-29"></span>mysql-connector-odbc-3.51.12-2.el4s1.3.i386.rpm <span class="anchor" id="line-30"></span>mysql-devel-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-31"></span>MySQL-python-1.2.1_p2-1.el4s1.1.i386.rpm <span class="anchor" id="line-32"></span>mysql-server-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-33"></span>mysql-test-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-34"></span>perl-5.8.8-4.el4s1.i386.rpm <span class="anchor" id="line-35"></span>perl-DBD-MySQL-3.0008-1.el4.centos.i386.rpm <span class="anchor" id="line-36"></span>perl-DBD-Pg-1.49-1.el4s1.i386.rpm <span class="anchor" id="line-37"></span>perl-DBI-1.53-2.el4s1.i386.rpm <span class="anchor" id="line-38"></span>perl-suidperl-5.8.8-4.el4s1.i386.rpm <span class="anchor" id="line-39"></span>php-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-40"></span>php-bcmath-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-41"></span>php-cli-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-42"></span>php-common-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-43"></span>php-dba-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-44"></span>php-dbase-5.1.6-1.el4.centos.i386.rpm <span class="anchor" id="line-45"></span>php-devel-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-46"></span>php-eaccelerator-5.1.6_0.9.5-1.el4.centos.i386.rpm <span class="anchor" id="line-47"></span>php-gd-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-48"></span>php-imap-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-49"></span>php-ldap-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-50"></span>php-mbstring-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-51"></span>php-mcrypt-5.1.6-1.el4.centos.i386.rpm <span class="anchor" id="line-52"></span>php-mhash-5.1.6-1.el4.centos.i386.rpm <span class="anchor" id="line-53"></span>php-mysql-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-54"></span>php-ncurses-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-55"></span>php-odbc-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-56"></span>php-pdo-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-57"></span>php-pear-1.4.11-1.el4s1.1.noarch.rpm <span class="anchor" id="line-58"></span>php-pgsql-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-59"></span>php-snmp-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-60"></span>php-soap-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-61"></span>php-xml-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-62"></span>php-xmlrpc-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-63"></span>postgresql-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-64"></span>postgresqlclient7-7.4.14-1.el4s1.1.el4.centos.i386.rpm <span class="anchor" id="line-65"></span>postgresql-contrib-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-66"></span>postgresql-devel-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-67"></span>postgresql-docs-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-68"></span>postgresql-libs-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-69"></span>postgresql-odbc-08.01.0200-2.el4s1.3.i386.rpm <span class="anchor" id="line-70"></span>postgresql-pl-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-71"></span>postgresql-python-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-72"></span>postgresql-server-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-73"></span>postgresql-tcl-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-74"></span>postgresql-test-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-75"></span>unixODBC-2.2.12-1.el4s1.1.i386.rpm <span class="anchor" id="line-76"></span>unixODBC-devel-2.2.12-1.el4s1.1.i386.rpm <span class="anchor" id="line-77"></span>unixODBC-kde-2.2.12-1.el4s1.1.i386.rpm <span class="anchor" id="line-78"></span>}}} <span class="anchor" id="line-79"></span><span class="anchor" id="line-80"></span><p class="line867"><strong>CentOS Web Stack</strong> 是 <a href="./zh(2f)AdditionalResources(2f)Repositories(2f)CentOSPlus.html">CentOSPlus 软件库</a> 的一部份。 <span class="anchor" id="line-81"></span><span class="anchor" id="line-82"></span><p class="line862">取用 <strong>CentOS Web Stack</strong> 的最佳方法是通过 <a href="./PackageManagement(2f)Yum(2f)Priorities.html">yum priorities 插件</a>。安装后，你须加入下列的设置来启用这组组件。 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line862">在 <strong>/etc/yum.repso.d/CentOS-Base.repo</strong> <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line874">{{{[base] <span class="anchor" id="line-87"></span>exclude=php* httpd* postgres* MySQL* mysql* perl perl-DBD-MySQL perl-DBD-Pg perl-DBI perl-suidperl unixODBC* mod_auth_mysql mod_auth_pgsql mod_perl mod_perl-devel mod_ssl <span class="anchor" id="line-88"></span>priority=1 <span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><p class="line874">[update] <span class="anchor" id="line-91"></span>exclude=php* httpd* postgres* MySQL* mysql* perl perl-DBD-MySQL perl-DBD-Pg perl-DBI perl-suidperl unixODBC* mod_auth_mysql mod_auth_pgsql mod_perl mod_perl-devel mod_ssl <span class="anchor" id="line-92"></span>priority=1 <span class="anchor" id="line-93"></span><span class="anchor" id="line-94"></span><p class="line874">[centosplus] <span class="anchor" id="line-95"></span>enable=1 <span class="anchor" id="line-96"></span>priority=2 <span class="anchor" id="line-97"></span>}}} <span class="anchor" id="line-98"></span><span class="anchor" id="line-99"></span><p class="line862">以上的修改只牵涉到 <strong>CentOS-Base.repo</strong> 档。这个改动将 <strong>[centosplus]</strong> 软件库的优先次序设为 2 及将 <strong>[base]</strong> 和 <strong>[update]</strong> 软件库的优先次序设为 1。这样，<strong>[centosplus]</strong> 便不能替换 <strong>[base]</strong> 或 <strong>[update]</strong> 软件库内的组件。 <span class="anchor" id="line-100"></span><span class="anchor" id="line-101"></span><p class="line862">加入 <strong>exclude=</strong> 那一行会从 <strong>[base]</strong> 和 <strong>[update]</strong> 软件库中排除那些组件，容许它们由经其它来源更新（在这个案例中是 <strong>[centosplus]</strong> 软件库）。 <span class="anchor" id="line-102"></span><span class="anchor" id="line-103"></span><p class="line862">当你安装<a href="./PackageManagement(2f)Yum(2f)Priorities.html">yum priorities 插件</a>的时候，你必须为所有 .repo 文件设置 1-99 的优先次序。 <span class="anchor" id="line-104"></span><span class="anchor" id="line-105"></span><p class="line874">推荐的设置是： <span class="anchor" id="line-106"></span>{{{[base], [addons], [update], [extras] ... priority=1 <span class="anchor" id="line-107"></span>[centosplus],[contrib] ... priority=2 <span class="anchor" id="line-108"></span>第三方软件库 ... priority=N （N 是一个按你首选大於 10 的数值） <span class="anchor" id="line-109"></span>}}} <span class="anchor" id="line-110"></span><span class="anchor" id="line-111"></span><p class="line867"><small>Translation of revision 8</small> <span class="anchor" id="line-112"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
